- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Data Fields
_Elm_Web_Menu Struct Reference
Web

Structure describing the menu of a popup. More...

## Data Fields
Eina_List * | items
| List of #Elm_Web_Menu_Item.
int | x
| The X position of the popup, relative to the elm_web object.
int | y
| The Y position of the popup, relative to the elm_web object.
int | width
| Width of the popup menu.
int | height
| Height of the popup menu.
Eina_Bool | handled: 1
| Set to `EINA_TRUE` by the user to indicate that the popup has been handled and the default implementation should be ignored. More...

## Detailed Description

Structure describing the menu of a popup.

This structure will be passed as the `event_info` for the "popup,create" signal, which is emitted when a dropdown menu is opened. Users wanting to handle these popups by themselves should listen to this signal and set the `handled` property of the struct to `EINA_TRUE`. Leaving this property as `EINA_FALSE` means that the user will not handle the popup and the default implementation will be used.

When the popup is ready to be dismissed, a "popup,willdelete" signal will be emitted to notify the user that it can destroy any objects and free all data related to it.

See Also
  elm_web_popup_selected_set()
  elm_web_popup_destroy()

## Field Documentation

Eina_Bool _Elm_Web_Menu::handled

Set to `EINA_TRUE` by the user to indicate that the popup has been handled and the default implementation should be ignored.

Leave as `EINA_FALSE` otherwise.

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:15